<?php

/**
 * Sidebar Settings
 */

//Remove Widgets from all sidebars
ale_preview_widget::remove_widgets_from_sidebar('main-sidebar');

//Add widgets to Main Sidebar
ale_preview_widget::add_widget_to_sidebar('main-sidebar', 'search', array ('title' => '',));
ale_preview_widget::add_widget_to_sidebar('main-sidebar', 'recent-posts', array ('title' => '','number'=>'5'));
ale_preview_widget::add_widget_to_sidebar('main-sidebar', 'recent-comments', array ('title' => '','number'=>'5'));
ale_preview_widget::add_widget_to_sidebar('main-sidebar', 'archives', array ('title' => '','image'=>'',));
ale_preview_widget::add_widget_to_sidebar('main-sidebar', 'categories', array ('title' => '',));






/**
 * Categories and Custom Taxonomies
 */


//Categories for Posts
$preview_post_cat_1_id = ale_demo_category::add_category(array(
    'category_name' => 'News',
    'parent_id' => 0,
    'description' => '',
));

$preview_gallery_cat_1_id = ale_demo_category::add_term(array(
    'term_name' => 'Children',
    'taxonomy'=>'gallery-category',
    'parent_id' => 0,
    'description' => '',
));

/**
 * Posts Settings
 */

// Slider
$slider_post = ale_demo_content::add_slider(array(
    'title' => "Bebe Slider",
    'post_type' => '_aletheme_slider_',
    'post_status' => 'private',
    'post_content' => 'null',
    'post_excerpt' => 'null',
    'post_content_filtered' => 'null',
    'comment_status' => 'closed',
    'ping_status' => 'closed'
));
ale_demo_content::add_slider(array(
    'title' => "Responsive Theme",
    'post_type' => '_aletheme_slider_',
    'post_status' => 'inherit',
    'post_excerpt' => 'WordPress',
    'post_content' => 'Neque porro quisquam est qui dolorem ipsum quia dolor sit amet, consectetur.',
    'pinged' => 'https://aletheme.com',
    'comment_status' => 'closed',
    'ping_status' => 'closed',
    'post_content_filtered' => 'ale_slide1',
    'post_parent' => $slider_post

));
ale_demo_content::add_slider(array(
    'title' => "Clear and Valid Code",
    'post_type' => '_aletheme_slider_',
    'post_status' => 'inherit',
    'post_excerpt' => 'HTML5 & CSS3',
    'post_content' => 'Aliquam erat volutpat. Curabitur lobortis nunc ac magna auctor commodo',
    'pinged' => 'https://aletheme.com',
    'comment_status' => 'closed',
    'ping_status' => 'closed',
    'post_content_filtered' => 'ale_slide2',
    'post_parent' => $slider_post

));

// Blog posts
ale_demo_content::add_post(array(
    'title' => "Hello world!",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'categories_id_array' => array($preview_post_cat_1_id),
    'featured_image_ale_id' => 'ale_img1',
    'post_type' => 'post',
));
ale_demo_content::add_post(array(
    'title' => "Vestibulum dignissim eu",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'categories_id_array' => array($preview_post_cat_1_id),
    'featured_image_ale_id' => 'ale_img2',
    'post_type' => 'post',
));
ale_demo_content::add_post(array(
    'title' => "Phasellus id dolor erat",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'categories_id_array' => array($preview_post_cat_1_id),
    'featured_image_ale_id' => 'ale_img3',
    'post_type' => 'post',
));
ale_demo_content::add_post(array(
    'title' => "Phasellus et tortor ",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'categories_id_array' => array($preview_post_cat_1_id),
    'featured_image_ale_id' => 'ale_img4',
    'post_type' => 'post',
));
ale_demo_content::add_post(array(
    'title' => "Suspendisse a mauris ",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'categories_id_array' => array($preview_post_cat_1_id),
    'featured_image_ale_id' => 'ale_img5',
    'post_type' => 'post',
));
ale_demo_content::add_post(array(
    'title' => "Etiam lacus erat",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'categories_id_array' => array($preview_post_cat_1_id),
    'featured_image_ale_id' => 'ale_img6',
    'post_type' => 'post',
));
ale_demo_content::add_post(array(
    'title' => "Nam sollicitudin",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'categories_id_array' => array($preview_post_cat_1_id),
    'featured_image_ale_id' => 'ale_img7',
    'post_type' => 'post',
));
ale_demo_content::add_post(array(
    'title' => "Vestibulum id mollis",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'categories_id_array' => array($preview_post_cat_1_id),
    'featured_image_ale_id' => 'ale_img8',
    'post_type' => 'post',
));
ale_demo_content::add_post(array(
    'title' => "Nulla aliquet eget",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'categories_id_array' => array($preview_post_cat_1_id),
    'featured_image_ale_id' => 'ale_img9',
    'post_type' => 'post',
));




//Galeries
ale_demo_content::add_post(array(
    'title' => "Lorem ipsum dolor",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img2',
    'post_type' => 'gallery',
    'attachment_2_image_ale_id' => 'ale_img1',
    'attachment_3_image_ale_id' => 'ale_img2',
    'attachment_4_image_ale_id' => 'ale_img3',
));
ale_demo_content::add_post(array(
    'title' => "Aenean consequat ante",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img1',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img2',
    'attachment_4_image_ale_id' => 'ale_img3',
));
ale_demo_content::add_post(array(
    'title' => "Morbi eu laoreet",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img3',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img3',
    'attachment_4_image_ale_id' => 'ale_img4',
));
ale_demo_content::add_post(array(
    'title' => "Quisque vitae",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img4',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img1',
    'attachment_4_image_ale_id' => 'ale_img4',
));
ale_demo_content::add_post(array(
    'title' => "Vestibulum dignissim eu",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img5',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img5',
    'attachment_4_image_ale_id' => 'ale_img3',
));
ale_demo_content::add_post(array(
    'title' => "Ut iaculis consectetur ",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img6',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img6',
    'attachment_4_image_ale_id' => 'ale_img5',
));
ale_demo_content::add_post(array(
    'title' => "Ut commodo suscipit",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img7',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img7',
    'attachment_4_image_ale_id' => 'ale_img5',
));
ale_demo_content::add_post(array(
    'title' => "Phasellus et tortor",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img8',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img8',
    'attachment_4_image_ale_id' => 'ale_img7',
));
ale_demo_content::add_post(array(
    'title' => "Morbi dignissim erat",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img9',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img9',
    'attachment_4_image_ale_id' => 'ale_img8',
));
ale_demo_content::add_post(array(
    'title' => "Suspendisse a mauris",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img10',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img10',
    'attachment_4_image_ale_id' => 'ale_img9',
));
ale_demo_content::add_post(array(
    'title' => "Etiam lacus erat",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'taxonomy_id_array' => array($preview_gallery_cat_1_id),
    'taxonomy_name' => 'gallery-category',
    'featured_image_ale_id' => 'ale_img11',
    'post_type' => 'gallery',
    'attachment_3_image_ale_id' => 'ale_img11',
    'attachment_4_image_ale_id' => 'ale_img10',
));


//Rooms
ale_demo_content::add_post(array(
    'title' => "Sed consequat",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'featured_image_ale_id' => 'ale_room1',
    'post_type' => 'rooms',
    'attachment_3_image_ale_id' => 'ale_room1',
    'attachment_4_image_ale_id' => 'ale_room2',
));
ale_demo_content::add_post(array(
    'title' => "Nam sollicitudin",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'featured_image_ale_id' => 'ale_room2',
    'post_type' => 'rooms',
    'attachment_3_image_ale_id' => 'ale_room2',
    'attachment_4_image_ale_id' => 'ale_room3',
));
ale_demo_content::add_post(array(
    'title' => "Morbi egestas ut",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'featured_image_ale_id' => 'ale_room3',
    'post_type' => 'rooms',
    'attachment_3_image_ale_id' => 'ale_room3',
    'attachment_4_image_ale_id' => 'ale_room4',
));
ale_demo_content::add_post(array(
    'title' => "Vestibulum id",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'featured_image_ale_id' => 'ale_room4',
    'post_type' => 'rooms',
    'attachment_3_image_ale_id' => 'ale_room4',
    'attachment_4_image_ale_id' => 'ale_room5',
));
ale_demo_content::add_post(array(
    'title' => "Sed ac nulla",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'featured_image_ale_id' => 'ale_room5',
    'post_type' => 'rooms',
    'attachment_3_image_ale_id' => 'ale_room5',
    'attachment_4_image_ale_id' => 'ale_room6',
));
ale_demo_content::add_post(array(
    'title' => "Vestibulum ut",
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/post_default.dat',
    'post_excerpt' => '',
    'featured_image_ale_id' => 'ale_room6',
    'post_type' => 'rooms',
    'attachment_3_image_ale_id' => 'ale_room6',
    'attachment_4_image_ale_id' => 'ale_room7',
));






/**
 * Pages
 */

//Blog page
$ale_blog_id = ale_demo_content::add_page(array(
    'title' => 'Blog',
    'template' => 'index.php',
    'postspage'=>true,
));


//Contact page
$ale_contact_id = ale_demo_content::add_page(array(
    'title' => 'Contact',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/contact.dat',
    'featured_image_ale_id' => '',
    'template' => 'template-contact.php',
    'ale_contactaddressmap' => 'Germany Berlin, Main street 43',
    'ale_contactphone' => '8 800 435-17-25 / 8 800 435-17-26',
    'ale_contactemail' => 'info@bebe.co.uk / sales@bebe.co.uk',
));

//About Us page
$ale_about_id = ale_demo_content::add_page(array(
    'title' => 'About Us',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/about.dat',
    'template' => 'template-about.php',
    'featured_image_ale_id' => 'ale_about2',
    'ale_ourteachersname1' => 'Ellene Marlen',
    'ale_ourteachersphoto1' => 'ale_ap1',
    'ale_ourteacherstext1' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure',
    'ale_ourteachersfacebook1' => 'https://aletheme.com',
    'ale_ourteacherspinterest1' => 'https://aletheme.com',
    'ale_ourteacherstwitter1' => 'https://aletheme.com',
    'ale_ourteachersname2' => 'Nicole Blume',
    'ale_ourteachersphoto2' => 'ale_ap2',
    'ale_ourteacherstext2' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure',
    'ale_ourteachersfacebook2' => 'https://aletheme.com',
    'ale_ourteacherspinterest2' => 'https://aletheme.com',
    'ale_ourteacherstwitter2' => 'https://aletheme.com',
    'ale_ourteachersname3' => 'Alex Socha',
    'ale_ourteachersphoto3' => 'ale_ap3',
    'ale_ourteacherstext3' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis no ullamco laboris nisi ut aliquip ex ea commodo consequat.',
    'ale_ourteachersfacebook3' => 'https://aletheme.com',
    'ale_ourteacherspinterest3' => 'https://aletheme.com',
    'ale_ourteacherstwitter3' => 'https://aletheme.com',

    'attachment_2_image_ale_id' => 'ale_about1',
    'attachment_3_image_ale_id' => 'ale_about2',
));


//ShortCodes Pages
$ale_toggle_id = ale_demo_content::add_page(array(
    'title' => 'Toggle Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/toggle.dat',
));
$ale_alerts_id = ale_demo_content::add_page(array(
    'title' => 'Alerts Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/alerts.dat',
));
$ale_buttons_id = ale_demo_content::add_page(array(
    'title' => 'Buttons Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/buttons.dat',
));
$ale_columns_id = ale_demo_content::add_page(array(
    'title' => 'Columns Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/columns.dat',
));
$ale_dividers_id = ale_demo_content::add_page(array(
    'title' => 'Dividers Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/dividers.dat',
));
$ale_maps_id = ale_demo_content::add_page(array(
    'title' => 'Maps Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/maps.dat',
));
$ale_partners_id = ale_demo_content::add_page(array(
    'title' => 'Partners Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/partners.dat',
));
$ale_services_id = ale_demo_content::add_page(array(
    'title' => 'Services Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/services.dat',
));
$ale_tabs_id = ale_demo_content::add_page(array(
    'title' => 'Tabs Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/tabs.dat',
));
$ale_team_id = ale_demo_content::add_page(array(
    'title' => 'Team Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/team.dat',
));
$ale_testimonial_id = ale_demo_content::add_page(array(
    'title' => 'Testimonial Shortcode',
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/testimonial.dat',
));


//Home page
$ale_homepage_id = ale_demo_content::add_page(array(
    'title' => 'Home',
    'homepage' => true,
    'file' => get_template_directory() . '/aletheme/demos/bebe/data/home.dat',
    'template' => 'page-home.php',
));

/**
 * Navigation Settings
 */

$ale_demo_header_right_menu = ale_demo_menus::create_menu('Header Right Menu', 'header_right_menu');
$ale_demo_footer_menu = ale_demo_menus::create_menu('Footer Menu', 'footer_left_menu');

//Header Menu
ale_demo_menus::add_page(array(
    'title' => 'Home',
    'add_to_menu_id' => $ale_demo_header_right_menu,
    'page_id' => $ale_homepage_id,
    'parent_id' => ''
));
ale_demo_menus::add_page(array(
    'title' => 'About Us',
    'add_to_menu_id' => $ale_demo_header_right_menu,
    'page_id' => $ale_about_id,
    'parent_id' => ''
));
ale_demo_menus::add_page(array(
    'title' => 'Activities',
    'add_to_menu_id' => $ale_demo_header_right_menu,
    'page_id' => $ale_blog_id,
    'parent_id' => ''
));
ale_demo_menus::add_post_type(array(
    'title' => 'Rooms',
    'add_to_menu_id' => $ale_demo_header_right_menu,
    'post_type' => 'rooms',
    'parent_id' => ''
));
$shortcodes_item = ale_demo_menus::add_link(array(
    'title' => 'Shortcodes',
    'add_to_menu_id' => $ale_demo_header_right_menu,
    'url' => '#',
    'parent_id' => ''
));
    ale_demo_menus::add_post_type(array(
        'title' => 'Gallery',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'post_type' => 'gallery',
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Alerts Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_alerts_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Buttons Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_buttons_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Columns Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_columns_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Dividers Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_dividers_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Maps Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_maps_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Partners Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_partners_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Service Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_services_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Tabs Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_tabs_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Team Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_team_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Testimonial Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_testimonial_id,
        'parent_id' => $shortcodes_item
    ));
    ale_demo_menus::add_page(array(
        'title' => 'Toggle Shortcode',
        'add_to_menu_id' => $ale_demo_header_right_menu,
        'page_id' => $ale_toggle_id,
        'parent_id' => $shortcodes_item
    ));

ale_demo_menus::add_page(array(
    'title' => 'Contact',
    'add_to_menu_id' => $ale_demo_header_right_menu,
    'page_id' => $ale_contact_id,
    'parent_id' => ''
));








ale_demo_menus::add_page(array(
    'title' => 'Homepage',
    'add_to_menu_id' => $ale_demo_footer_menu,
    'page_id' => $ale_homepage_id,
    'parent_id' => ''
));
ale_demo_menus::add_page(array(
    'title' => 'Blog Archive',
    'add_to_menu_id' => $ale_demo_footer_menu,
    'page_id' => $ale_blog_id,
    'parent_id' => ''
));
ale_demo_menus::add_post_type(array(
    'title' => 'Gallery Archive',
    'add_to_menu_id' => $ale_demo_footer_menu,
    'post_type' => 'gallery',
    'parent_id' => $shortcodes_item
));
ale_demo_menus::add_post_type(array(
    'title' => 'Rooms Archive',
    'add_to_menu_id' => $ale_demo_footer_menu,
    'post_type' => 'rooms',
    'parent_id' => $shortcodes_item
));





ale_demo_options::update_tagline('WordPress Theme');
ale_demo_options::update_posts_per_page(8);
